package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.events;

import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.GTSModelEditor;
import be.iminds.ilabt.jfed.gts.model.impl.FXGtsType;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 14:11
 */
public class ShowGtsTypeEditorEvent {

    private final GTSModelEditor parentEditor;
    private final FXGtsType type;

    public ShowGtsTypeEditorEvent(GTSModelEditor parentEditor, FXGtsType type) {
        this.parentEditor = parentEditor;
        this.type = type;
    }

    public GTSModelEditor getParentEditor() {
        return parentEditor;
    }

    public FXGtsType getType() {
        return type;
    }
}
